package com.example.administrator.zhapp.entity;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Created by Administrator on 2016/9/20.
 */
public class LlrInfo {


    /**
     * Rows : [{"userid":"123363","username":"陈秀珍"},{"userid":"310233","username":"吴彦龙"},{"userid":"310338","username":"陈永福"},{"userid":"310339","username":"赵春兰"},{"userid":"310335","username":"赖劲松"},{"userid":"310433","username":"高田"},{"userid":"310133","username":"马智行"},{"userid":"310033","username":"郑启跃"}]
     * Total : 8
     */

    private int Total;
    /**
     * userid : 123363
     * username : 陈秀珍
     */

    private List<Llr> Rows;

    public int getTotal() {
        return Total;
    }

    public void setTotal(int Total) {
        this.Total = Total;
    }

    public List<Llr> getRows() {
        return Rows;
    }

    public void setRows(List<Llr> Rows) {
        this.Rows = Rows;
    }

    public static class Llr implements Parcelable {
        private String userid;
        private String username;

        public String getUserid() {
            return userid;
        }

        public void setUserid(String userid) {
            this.userid = userid;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.userid);
            dest.writeString(this.username);
        }

        public Llr() {
        }

        protected Llr(Parcel in) {
            this.userid = in.readString();
            this.username = in.readString();
        }

        public static final Parcelable.Creator<Llr> CREATOR = new Parcelable.Creator<Llr>() {
            @Override
            public Llr createFromParcel(Parcel source) {
                return new Llr(source);
            }

            @Override
            public Llr[] newArray(int size) {
                return new Llr[size];
            }
        };
    }
}
